#!/bin/bash
VER=1.0
################################################################
# Dupecheck by Turranius ( http://www.grandis.nu/glftpd/ )     #
#--------------------------------------------------------------#
# This is a dupechecker, exactly like the one in glftpd, but   #
# is ment to be used from irc to check the dupelog with        #
# !dupe <releasename>                                          #
#                                                              #
#-[ Installation ]---------------------------------------------#
# Copy dupecheck_shell.sh to /glftpd/bin.                      #
# Copy dupecheck.tcl to your bots script folder and load it in #
# the bots config file.                                        #
#                                                              #
# Edit dupecheck_shell.sh (you already are), and change the    #
# settings like you want it.                                   #
# Make sure everything is executable and the permissions are   #
# set to the user running the bot!                             #
#                                                              #
#-[ Requirements ]---------------------------------------------#
# Grep tail and echo must be in the path. Change full path to  #
# them near the bottom otherwise.                              #
#                                                              #
#-[ Testing ]--------------------------------------------------#
# Run dupecheck_shell.sh from shell and see that it does what  #
# it should do.                                                #
# Once satisfied, .rehash the bot with the .tcl loaded and try #
# !dupe from irc. Thats about it.                              #
#                                                              #
################################################################
#-[ Settings ]-------------------------------------------------#

DUPELOG=/glftpd/ftp-data/logs/dupelog # Full path to dupelog
EXCLUDE='SAMPLE|CD1|CD2|CD3|CD4' # What to exclude from hits. | delimited.
MAXHITS="5"                      # Max number of hits to return. (new>old)
MINCHARS="5"                     # Minumum search string.


################################################################
# No changes below here should be needed.                      #
################################################################


if [ "$1" = "" ]; then
  echo "Also specify what to look for."
  echo "The last $MAXHITS hits will be shown."
  exit 0
fi

LENGHT="$( echo $1 | wc -c )"
LENGHT="$( expr $LENGHT \- 1 )"
if [ "$LENGHT" -lt "$MINCHARS" ]; then
  echo "Minimum amount of chars for a search is $MINCHARS"
  exit 0
fi

tail -n 99999999 $DUPELOG | grep -i $1 | tail -n $MAXHITS

exit 0